## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenEnum

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenClassifier, org.eclipse.emf.codegen.ecore.genmodel.GenDataType, org.eclipse.emf.codegen.ecore.genmodel.GenEnum, org.eclipse.emf.common.notify.Notifier

    public interface GenEnum

extends org.eclipse.emf.codegen.ecore.genmodel.GenEnum, GenDataType

A representation of the model object 'Gen Enum'.

See Also:
  `GenModelPackage.getGenEnum()`

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenEnum
`getEcoreEnum, getEnumLiteralID, getEnumLiteralValue, getGenEnumLiteral, getGenEnumLiterals, getImportedName, getQualifiedName, getUniqueValuedGenEnumLiterals, initialize, isTypeSafeEnumCompatible, reconcile, setEcoreEnum, setTypeSafeEnumCompatible`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenDataType

`getBaseType, getEcoreDataType, getEnumerationLiterals, getFractionDigits, getImportedInstanceClassName, getImportedParameterizedObjectInstanceClassName, getImportedWildcardObjectInstanceClassName, getItemType, getLengthAccessorFunction, getMaxLength, getMaxLiteral, getMemberTypes, getMinLength, getMinLiteral, getModelInfo, getObjectInstanceClassName, getObjectType, getPatterns, getPrimitiveValueFunction, getQualifiedInstanceClassName, getSerializableFlag, getStaticValue, getStaticValue, getTotalDigits, getWhiteSpace, initialize, isArrayType, isMaxInclusive, isMinInclusive, isObjectType, isPrimitiveType, isSerializable, isXMLCalendar, isXMLDuration, reconcile, setEcoreDataType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenDataType

`getBaseType, getEcoreDataType, getEnumerationLiterals, getFractionDigits, getImportedInstanceClassName, getImportedParameterizedObjectInstanceClassName, getImportedWildcardObjectInstanceClassName, getItemType, getLengthAccessorFunction, getMaxLength, getMaxLiteral, getMemberTypes, getMinLength, getMinLiteral, getModelInfo, getObjectInstanceClassName, getObjectType, getPatterns, getPrimitiveValueFunction, getQualifiedInstanceClassName, getSerializableFlag, getStaticValue, getStaticValue, getTotalDigits, getWhiteSpace, initialize, isArrayType, isMaxInclusive, isMinInclusive, isObjectType, isPrimitiveType, isSerializable, isXMLCalendar, isXMLDuration, reconcile, setEcoreDataType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.